Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components.annotations
Class AnnotationsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.components.triples.TriplesTableModel
              edu.stanford.smi.protegex.owl.ui.components.annotations.AnnotationsTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class AnnotationsTableModel

extends TriplesTableModel

A TriplesTableModel that is restricted to only display annotation properties.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.components.triples.TriplesTableModel
`COL_PROPERTY, COL_VALUE`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AnnotationsTableModel()`
`AnnotationsTableModel(RDFResource subject)`

Method Summary
`Collection<RDFProperty>` | `getDefaultProperties()`
`protected Collection<RDFProperty>` | `getRelevantProperties()`
`protected boolean` | `hasTypeColumn()`
`protected boolean` | `isRelevantProperty(RDFProperty property)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.components.triples.TriplesTableModel
`addRow, addRow, deleteRow, dispose, getColumnClass, getColumnCount, getColumnName, getDisplayValue, getLanguage, getOWLModel, getPredicate, getPropertyValueRow, getRowCount, getSubject, getValue, getValueAt, isCellEditable, isDeleteEnabled, isInvalidXMLLiteral, setAllowReadOnlyEdit, setSubject, setTable, setValue, setValueAndGetIt, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsTableModel

    public AnnotationsTableModel()

### AnnotationsTableModel

    public AnnotationsTableModel(RDFResource subject)

Method Detail

### getRelevantProperties

    protected Collection<RDFProperty> getRelevantProperties()

  Overrides:
    `getRelevantProperties` in class `TriplesTableModel`

### hasTypeColumn

    protected boolean hasTypeColumn()

  Overrides:
    `hasTypeColumn` in class `TriplesTableModel`

### isRelevantProperty

    protected boolean isRelevantProperty(RDFProperty property)

  Overrides:
    `isRelevantProperty` in class `TriplesTableModel`

### getDefaultProperties

    public Collection<RDFProperty> getDefaultProperties()

  Overrides:
    `getDefaultProperties` in class `TriplesTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.